/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOTypeCredit;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOPafAgent;
import org.cocktail.kaki.client.metier.EOPafAgentHisto;
import org.cocktail.kaki.client.metier.EOPafAgentLbud;
import org.cocktail.kaki.client.select.PersonnelSelectView;
import org.cocktail.kaki.common.KakiConstantes;

import com.webobjects.eoapplication.client.EOClientResourceBundle;
import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class BulletinSelectView extends javax.swing.JDialog {

	private static final long serialVersionUID = -496926017449874805L;

	protected EODisplayGroup eodBulletins,eodHisto, eodLbud, eodElements;
	protected ZEOTable myEOTable, myEOTableHisto, myEOTableLbud, myEOTableElements;
	protected ZEOTableModel myTableModel, myTableModelHisto, myTableModelLbud, myTableModelElements;
	protected TableSorter myTableSorter, myTableSorterHisto, myTableSorterLbud, myTableSorterElements;

	ZEOTableCellRenderer myRenderer;

    /** Creates new form TemplateJDialog */
    public BulletinSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup dgBulletins, 
    			EODisplayGroup dgHisto, EODisplayGroup dgLbud, EODisplayGroup dgElements, ZEOTableCellRenderer renderer) {
        super(parent, modal);

        eodBulletins = dgBulletins;
        eodHisto = dgHisto;
        eodLbud = dgLbud;
        eodElements = dgElements;
        
        myRenderer = renderer;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnSelectionner = new javax.swing.JButton();
        buttonAnnuler = new javax.swing.JButton();
        tfNom = new javax.swing.JTextField();
        btnFind = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        viewTableHisto = new javax.swing.JPanel();
        viewTableLbud = new javax.swing.JPanel();
        viewTableElements = new javax.swing.JPanel();
        jSeparator1 = new javax.swing.JSeparator();
        tfMessage = new javax.swing.JTextField();

        //setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Sélection d'éléments de paye");

        viewTable.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTable.setLayout(new java.awt.BorderLayout());

        btnSelectionner.setText("Sélectionner");
        btnSelectionner.setToolTipText("Sélectionner");

        buttonAnnuler.setText("Annuler");
        buttonAnnuler.setToolTipText("Annuler la sélection");

        btnFind.setText("Rechercher");
        btnFind.setToolTipText("Recherche d'un bulletin");
        btnFind.setPreferredSize(new java.awt.Dimension(0, 0));

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel2.setText("Exercice : ");

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel4.setText("Nom :");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        viewTableHisto.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableHisto.setLayout(new java.awt.BorderLayout());

        viewTableLbud.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableLbud.setLayout(new java.awt.BorderLayout());

        viewTableElements.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableElements.setLayout(new java.awt.BorderLayout());

        tfMessage.setBackground(new java.awt.Color(204, 255, 204));
        tfMessage.setEditable(false);
        tfMessage.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfMessage.setText(" Veuillez sélectionner un bulletin à réimputer");
        tfMessage.setBorder(null);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(17, 17, 17)
                        .add(jLabel4)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 140, Short.MAX_VALUE)
                        .add(btnFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 167, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 655, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 219, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTableElements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 430, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTableLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 430, Short.MAX_VALUE)
                            .add(viewTableHisto, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 430, Short.MAX_VALUE))))
                .addContainerGap())
            .add(tfMessage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 675, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(366, Short.MAX_VALUE)
                .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(btnSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 172, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(tfNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTableHisto, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 67, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 74, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 314, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 467, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-691)/2, (screenSize.height-617)/2, 691, 617);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PersonnelSelectView dialog = new PersonnelSelectView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFind;
    private javax.swing.JButton btnSelectionner;
    private javax.swing.JButton buttonAnnuler;
    private javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField tfMessage;
    private javax.swing.JTextField tfNom;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableElements;
    private javax.swing.JPanel viewTableHisto;
    private javax.swing.JPanel viewTableLbud;
    // End of variables declaration//GEN-END:variables

    
    
    
    public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public ZEOTable getMyEOTableElements() {
		return myEOTableElements;
	}

	public void setMyEOTableElements(ZEOTable myEOTableElements) {
		this.myEOTableElements = myEOTableElements;
	}

	public ZEOTableModel getMyTableModelElements() {
		return myTableModelElements;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public ZEOTableModel getMyTableModelHisto() {
		return myTableModelHisto;
	}

	public void setMyTableModelHisto(ZEOTableModel myTableModelHisto) {
		this.myTableModelHisto = myTableModelHisto;
	}

	public ZEOTableModel getMyTableModelLbud() {
		return myTableModelLbud;
	}

	public void setMyTableModelLbud(ZEOTableModel myTableModelLbud) {
		this.myTableModelLbud = myTableModelLbud;
	}

	public void setMyTableModelElements(ZEOTableModel myTableModelElements) {
		this.myTableModelElements = myTableModelElements;
	}

	public ZEOTable getMyEOTableHisto() {
		return myEOTableHisto;
	}

	public void setMyEOTableHisto(ZEOTable myEOTableHisto) {
		this.myEOTableHisto = myEOTableHisto;
	}

	public ZEOTable getMyEOTableLbud() {
		return myEOTableLbud;
	}

	public void setMyEOTableLbud(ZEOTable myEOTableLbud) {
		this.myEOTableLbud = myEOTableLbud;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}
        
            public javax.swing.JButton getButtonAnnuler() {
		return buttonAnnuler;
	}

	public void setButtonAnnuler(javax.swing.JButton buttonAnnuler) {
		this.buttonAnnuler = buttonAnnuler;
	}
	
	
	public javax.swing.JButton getBtnSelectionner() {
		return btnSelectionner;
	}

	public void setBtnSelectionner(javax.swing.JButton btnSelectionner) {
		this.btnSelectionner = btnSelectionner;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}
	
	public javax.swing.JTextField getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JTextField tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JButton getBtnFind() {
		return btnFind;
	}

	public void setBtnFind(javax.swing.JButton btnFind) {
		this.btnFind = btnFind;
	}

	public javax.swing.JTextField getTfNom() {
		return tfNom;
	}

	public void setTfNom(javax.swing.JTextField tfNom) {
		this.tfNom = tfNom;
	}

	private void initGui() {
        
    	EOClientResourceBundle resourceBundle = new EOClientResourceBundle();
    	
    	btnSelectionner.setIcon((ImageIcon)resourceBundle.getObject("cktl_valid_16"));
        buttonAnnuler.setIcon((ImageIcon)resourceBundle.getObject("cktl_cancel_16"));
        btnFind.setIcon((ImageIcon)resourceBundle.getObject("cktl_loupe_16"));
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eodBulletins, EOPafAgent.TO_MOIS_KEY, "Mois", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBulletins,EOPafAgent.PAGE_NOM_KEY , "Nom", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBulletins,EOPafAgent.PAGE_PRENOM_KEY , "Prénom", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModel = new ZEOTableModel(eodBulletins, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(new Color(230, 230, 230));
		myEOTable.setSelectionBackground(new Color(127,155,165));
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);


		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodHisto, EOPafAgentHisto.PAYE_BRUT_KEY , "Brut", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_ADEDUIRE_KEY, "Salarial", 75);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodHisto, EOPafAgentHisto.PAYE_PATRON_KEY, "Patronal", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodHisto, EOPafAgentHisto.PAYE_NET_KEY, "Net", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodHisto, EOPafAgentHisto.PAYE_COUT_KEY, "Cout Total", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelHisto = new ZEOTableModel(eodHisto, myCols);
		myTableSorterHisto = new TableSorter(myTableModelHisto);

		myEOTableHisto = new ZEOTable(myTableSorterHisto);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterHisto.setTableHeader(myEOTableHisto.getTableHeader());

		myEOTableHisto.setBackground(new Color(230, 230, 230));
		myEOTableHisto.setSelectionBackground(new Color(127,155,165));
		myEOTableHisto.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableHisto.setLayout(new BorderLayout());
		viewTableHisto.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableHisto.removeAll();
		viewTableHisto.add(new JScrollPane(myEOTableHisto), BorderLayout.CENTER);


		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.TYPE_CREDIT_KEY+"."+EOTypeCredit.TCD_CODE_KEY, "TCD", 60);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, "referenceConvention", "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafAgentLbud.PAGL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelLbud = new ZEOTableModel(eodLbud, myCols);
		myTableSorterLbud = new TableSorter(myTableModelLbud);

		myEOTableLbud = new ZEOTable(myTableSorterLbud);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterLbud.setTableHeader(myEOTableLbud.getTableHeader());

		myEOTableLbud.setBackground(new Color(230, 230, 230));
		myEOTableLbud.setSelectionBackground(new Color(127,155,165));
		myEOTableLbud.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableLbud.setLayout(new BorderLayout());
		viewTableLbud.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLbud.removeAll();
		viewTableLbud.add(new JScrollPane(myEOTableLbud), BorderLayout.CENTER);

		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodElements, "CODE" , "Code", 65);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "LIBELLE", "Elément", 190);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "TYPE", "Type", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "CONEX", "Conex", 45);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "BUDGET", "BUDGET", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "REMUN", "REMUN", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "OUVRIER", "OUVRIER", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodElements, "INFOS", "INFOS", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);

		myTableModelElements = new ZEOTableModel(eodElements, myCols);
		myTableSorterElements = new TableSorter(myTableModelElements);

		myEOTableElements = new ZEOTable(myTableSorterElements);
		myTableSorterElements.setTableHeader(myEOTableElements.getTableHeader());		
		
		myEOTableElements.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableElements.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableElements.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableElements.setBorder(BorderFactory.createEmptyBorder());
		viewTableElements.removeAll();
		viewTableElements.setLayout(new BorderLayout());
		viewTableElements.add(new JScrollPane(myEOTableElements), BorderLayout.CENTER);

	
	
	
	
	}
	
	
    public void setListeExercices(NSArray liste) {

    	exercices.removeAllItems();
        for (int i=0;i<liste.count();i++)
        	exercices.addItem(liste.objectAtIndex(i));
    }

    
    public void setSelectedExercice(Object exercice) {
    
    	exercices.setSelectedItem(exercice);
    
    }
    

}
